window.Gleam.initSearch([{"doc":"glare","title":"glare","content":"# glare\n\n[![Package Version](https://img.shields.io/hexpm/v/glare)](https://hex.pm/packages/glare)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/glare/)\n\nA Gleam Web Framework written with SolidJS\n\n## Quick start\n\n```gleam\nimport glare.{select, render, signal, text}\nimport glare/element.{main, h1, button}\nimport glare/hooks.{use_signal}\nimport glare/event.{onclick}\nimport glare/property.{font_family, size, border, radius}\n\npub fn content() {\n   let #(count, set_count) = use_signal(0)\n   main([\n       h1(text(&quot;Hello Glare&quot;))\n       |&gt; size(&quot;1.3rem&quot;),\n       \n       button([\n           text(&quot;Button has been clicked &quot;),\n           signal(count),\n           text(&quot; times&quot;)\n       ])\n       |&gt; border(&quot;1px solid black&quot;)\n       |&gt; radius(&quot;20px&quot;)\n       |&gt; onclick(fn () { set_count(count() + 1) })\n   ])\n   |&gt; font_family(&quot;Lexend&quot;)\n}\n\n// import this file from html and execute the `run` function\npub fn run() {\n    let body = select(&quot;body&quot;)\n    render(content(), body)\n}\n```\n\n## Installation\n\n\n```sh\ngleam add glare\n```\n\nDocumentation can be found at &lt;https://hexdocs.pm/glare&gt;.\n","url":"index.html"},{"doc":"glare/element","title":"Node","content":"pub type Node\n\n\nSynonyms:\nglare/element.Node\nglare/element Node","url":"glare/element.html#Node"},{"doc":"glare/element","title":"a","content":"pub fn a(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.a\nglare/element a","url":"glare/element.html#a"},{"doc":"glare/element","title":"abbr","content":"pub fn abbr(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.abbr\nglare/element abbr","url":"glare/element.html#abbr"},{"doc":"glare/element","title":"address","content":"pub fn address(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.address\nglare/element address","url":"glare/element.html#address"},{"doc":"glare/element","title":"area","content":"pub fn area(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.area\nglare/element area","url":"glare/element.html#area"},{"doc":"glare/element","title":"article","content":"pub fn article(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.article\nglare/element article","url":"glare/element.html#article"},{"doc":"glare/element","title":"aside","content":"pub fn aside(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.aside\nglare/element aside","url":"glare/element.html#aside"},{"doc":"glare/element","title":"audio","content":"pub fn audio(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.audio\nglare/element audio","url":"glare/element.html#audio"},{"doc":"glare/element","title":"b","content":"pub fn b(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.b\nglare/element b","url":"glare/element.html#b"},{"doc":"glare/element","title":"base","content":"pub fn base(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.base\nglare/element base","url":"glare/element.html#base"},{"doc":"glare/element","title":"bdi","content":"pub fn bdi(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.bdi\nglare/element bdi","url":"glare/element.html#bdi"},{"doc":"glare/element","title":"bdo","content":"pub fn bdo(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.bdo\nglare/element bdo","url":"glare/element.html#bdo"},{"doc":"glare/element","title":"blockquote","content":"pub fn blockquote(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.blockquote\nglare/element blockquote","url":"glare/element.html#blockquote"},{"doc":"glare/element","title":"body","content":"pub fn body(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.body\nglare/element body","url":"glare/element.html#body"},{"doc":"glare/element","title":"br","content":"pub fn br(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.br\nglare/element br","url":"glare/element.html#br"},{"doc":"glare/element","title":"button","content":"pub fn button(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.button\nglare/element button","url":"glare/element.html#button"},{"doc":"glare/element","title":"canvas","content":"pub fn canvas(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.canvas\nglare/element canvas","url":"glare/element.html#canvas"},{"doc":"glare/element","title":"caption","content":"pub fn caption(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.caption\nglare/element caption","url":"glare/element.html#caption"},{"doc":"glare/element","title":"cite","content":"pub fn cite(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.cite\nglare/element cite","url":"glare/element.html#cite"},{"doc":"glare/element","title":"code","content":"pub fn code(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.code\nglare/element code","url":"glare/element.html#code"},{"doc":"glare/element","title":"col","content":"pub fn col(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.col\nglare/element col","url":"glare/element.html#col"},{"doc":"glare/element","title":"colgroup","content":"pub fn colgroup(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.colgroup\nglare/element colgroup","url":"glare/element.html#colgroup"},{"doc":"glare/element","title":"create_h","content":"pub fn create_h(\n  tag: String,\n  props: #(String, String),\n  children: List(Node),\n) -&gt; Node\n\nSynonyms:\nglare/element.create_h\nglare/element create_h","url":"glare/element.html#create_h"},{"doc":"glare/element","title":"data","content":"pub fn data(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.data\nglare/element data","url":"glare/element.html#data"},{"doc":"glare/element","title":"datalist","content":"pub fn datalist(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.datalist\nglare/element datalist","url":"glare/element.html#datalist"},{"doc":"glare/element","title":"dd","content":"pub fn dd(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.dd\nglare/element dd","url":"glare/element.html#dd"},{"doc":"glare/element","title":"del","content":"pub fn del(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.del\nglare/element del","url":"glare/element.html#del"},{"doc":"glare/element","title":"details","content":"pub fn details(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.details\nglare/element details","url":"glare/element.html#details"},{"doc":"glare/element","title":"dfn","content":"pub fn dfn(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.dfn\nglare/element dfn","url":"glare/element.html#dfn"},{"doc":"glare/element","title":"dialog","content":"pub fn dialog(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.dialog\nglare/element dialog","url":"glare/element.html#dialog"},{"doc":"glare/element","title":"dir","content":"pub fn dir(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.dir\nglare/element dir","url":"glare/element.html#dir"},{"doc":"glare/element","title":"div","content":"pub fn div(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.div\nglare/element div","url":"glare/element.html#div"},{"doc":"glare/element","title":"dl","content":"pub fn dl(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.dl\nglare/element dl","url":"glare/element.html#dl"},{"doc":"glare/element","title":"dt","content":"pub fn dt(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.dt\nglare/element dt","url":"glare/element.html#dt"},{"doc":"glare/element","title":"em","content":"pub fn em(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.em\nglare/element em","url":"glare/element.html#em"},{"doc":"glare/element","title":"embed","content":"pub fn embed(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.embed\nglare/element embed","url":"glare/element.html#embed"},{"doc":"glare/element","title":"fieldset","content":"pub fn fieldset(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.fieldset\nglare/element fieldset","url":"glare/element.html#fieldset"},{"doc":"glare/element","title":"figcaption","content":"pub fn figcaption(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.figcaption\nglare/element figcaption","url":"glare/element.html#figcaption"},{"doc":"glare/element","title":"figure","content":"pub fn figure(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.figure\nglare/element figure","url":"glare/element.html#figure"},{"doc":"glare/element","title":"font","content":"pub fn font(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.font\nglare/element font","url":"glare/element.html#font"},{"doc":"glare/element","title":"footer","content":"pub fn footer(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.footer\nglare/element footer","url":"glare/element.html#footer"},{"doc":"glare/element","title":"form","content":"pub fn form(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.form\nglare/element form","url":"glare/element.html#form"},{"doc":"glare/element","title":"frame","content":"pub fn frame(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.frame\nglare/element frame","url":"glare/element.html#frame"},{"doc":"glare/element","title":"frameset","content":"pub fn frameset(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.frameset\nglare/element frameset","url":"glare/element.html#frameset"},{"doc":"glare/element","title":"h1","content":"pub fn h1(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.h1\nglare/element h1","url":"glare/element.html#h1"},{"doc":"glare/element","title":"h2","content":"pub fn h2(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.h2\nglare/element h2","url":"glare/element.html#h2"},{"doc":"glare/element","title":"h3","content":"pub fn h3(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.h3\nglare/element h3","url":"glare/element.html#h3"},{"doc":"glare/element","title":"h4","content":"pub fn h4(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.h4\nglare/element h4","url":"glare/element.html#h4"},{"doc":"glare/element","title":"h5","content":"pub fn h5(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.h5\nglare/element h5","url":"glare/element.html#h5"},{"doc":"glare/element","title":"h6","content":"pub fn h6(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.h6\nglare/element h6","url":"glare/element.html#h6"},{"doc":"glare/element","title":"head","content":"pub fn head(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.head\nglare/element head","url":"glare/element.html#head"},{"doc":"glare/element","title":"header","content":"pub fn header(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.header\nglare/element header","url":"glare/element.html#header"},{"doc":"glare/element","title":"hgroup","content":"pub fn hgroup(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.hgroup\nglare/element hgroup","url":"glare/element.html#hgroup"},{"doc":"glare/element","title":"hr","content":"pub fn hr(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.hr\nglare/element hr","url":"glare/element.html#hr"},{"doc":"glare/element","title":"html","content":"pub fn html(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.html\nglare/element html","url":"glare/element.html#html"},{"doc":"glare/element","title":"i","content":"pub fn i(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.i\nglare/element i","url":"glare/element.html#i"},{"doc":"glare/element","title":"iframe","content":"pub fn iframe(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.iframe\nglare/element iframe","url":"glare/element.html#iframe"},{"doc":"glare/element","title":"img","content":"pub fn img(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.img\nglare/element img","url":"glare/element.html#img"},{"doc":"glare/element","title":"input","content":"pub fn input(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.input\nglare/element input","url":"glare/element.html#input"},{"doc":"glare/element","title":"ins","content":"pub fn ins(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.ins\nglare/element ins","url":"glare/element.html#ins"},{"doc":"glare/element","title":"kbd","content":"pub fn kbd(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.kbd\nglare/element kbd","url":"glare/element.html#kbd"},{"doc":"glare/element","title":"label","content":"pub fn label(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.label\nglare/element label","url":"glare/element.html#label"},{"doc":"glare/element","title":"legend","content":"pub fn legend(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.legend\nglare/element legend","url":"glare/element.html#legend"},{"doc":"glare/element","title":"li","content":"pub fn li(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.li\nglare/element li","url":"glare/element.html#li"},{"doc":"glare/element","title":"link","content":"pub fn link(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.link\nglare/element link","url":"glare/element.html#link"},{"doc":"glare/element","title":"main","content":"pub fn main(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.main\nglare/element main","url":"glare/element.html#main"},{"doc":"glare/element","title":"map","content":"pub fn map(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.map\nglare/element map","url":"glare/element.html#map"},{"doc":"glare/element","title":"mark","content":"pub fn mark(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.mark\nglare/element mark","url":"glare/element.html#mark"},{"doc":"glare/element","title":"marquee","content":"pub fn marquee(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.marquee\nglare/element marquee","url":"glare/element.html#marquee"},{"doc":"glare/element","title":"menu","content":"pub fn menu(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.menu\nglare/element menu","url":"glare/element.html#menu"},{"doc":"glare/element","title":"meta","content":"pub fn meta(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.meta\nglare/element meta","url":"glare/element.html#meta"},{"doc":"glare/element","title":"meter","content":"pub fn meter(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.meter\nglare/element meter","url":"glare/element.html#meter"},{"doc":"glare/element","title":"nav","content":"pub fn nav(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.nav\nglare/element nav","url":"glare/element.html#nav"},{"doc":"glare/element","title":"noscript","content":"pub fn noscript(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.noscript\nglare/element noscript","url":"glare/element.html#noscript"},{"doc":"glare/element","title":"object","content":"pub fn object(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.object\nglare/element object","url":"glare/element.html#object"},{"doc":"glare/element","title":"ol","content":"pub fn ol(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.ol\nglare/element ol","url":"glare/element.html#ol"},{"doc":"glare/element","title":"optgroup","content":"pub fn optgroup(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.optgroup\nglare/element optgroup","url":"glare/element.html#optgroup"},{"doc":"glare/element","title":"option","content":"pub fn option(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.option\nglare/element option","url":"glare/element.html#option"},{"doc":"glare/element","title":"output","content":"pub fn output(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.output\nglare/element output","url":"glare/element.html#output"},{"doc":"glare/element","title":"p","content":"pub fn p(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.p\nglare/element p","url":"glare/element.html#p"},{"doc":"glare/element","title":"param","content":"pub fn param(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.param\nglare/element param","url":"glare/element.html#param"},{"doc":"glare/element","title":"picture","content":"pub fn picture(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.picture\nglare/element picture","url":"glare/element.html#picture"},{"doc":"glare/element","title":"pre","content":"pub fn pre(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.pre\nglare/element pre","url":"glare/element.html#pre"},{"doc":"glare/element","title":"progress","content":"pub fn progress(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.progress\nglare/element progress","url":"glare/element.html#progress"},{"doc":"glare/element","title":"q","content":"pub fn q(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.q\nglare/element q","url":"glare/element.html#q"},{"doc":"glare/element","title":"rp","content":"pub fn rp(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.rp\nglare/element rp","url":"glare/element.html#rp"},{"doc":"glare/element","title":"rt","content":"pub fn rt(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.rt\nglare/element rt","url":"glare/element.html#rt"},{"doc":"glare/element","title":"ruby","content":"pub fn ruby(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.ruby\nglare/element ruby","url":"glare/element.html#ruby"},{"doc":"glare/element","title":"s","content":"pub fn s(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.s\nglare/element s","url":"glare/element.html#s"},{"doc":"glare/element","title":"samp","content":"pub fn samp(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.samp\nglare/element samp","url":"glare/element.html#samp"},{"doc":"glare/element","title":"script","content":"pub fn script(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.script\nglare/element script","url":"glare/element.html#script"},{"doc":"glare/element","title":"section","content":"pub fn section(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.section\nglare/element section","url":"glare/element.html#section"},{"doc":"glare/element","title":"select","content":"pub fn select(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.select\nglare/element select","url":"glare/element.html#select"},{"doc":"glare/element","title":"slot","content":"pub fn slot(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.slot\nglare/element slot","url":"glare/element.html#slot"},{"doc":"glare/element","title":"small","content":"pub fn small(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.small\nglare/element small","url":"glare/element.html#small"},{"doc":"glare/element","title":"source","content":"pub fn source(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.source\nglare/element source","url":"glare/element.html#source"},{"doc":"glare/element","title":"span","content":"pub fn span(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.span\nglare/element span","url":"glare/element.html#span"},{"doc":"glare/element","title":"strong","content":"pub fn strong(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.strong\nglare/element strong","url":"glare/element.html#strong"},{"doc":"glare/element","title":"style","content":"pub fn style(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.style\nglare/element style","url":"glare/element.html#style"},{"doc":"glare/element","title":"sub","content":"pub fn sub(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.sub\nglare/element sub","url":"glare/element.html#sub"},{"doc":"glare/element","title":"summary","content":"pub fn summary(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.summary\nglare/element summary","url":"glare/element.html#summary"},{"doc":"glare/element","title":"sup","content":"pub fn sup(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.sup\nglare/element sup","url":"glare/element.html#sup"},{"doc":"glare/element","title":"table","content":"pub fn table(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.table\nglare/element table","url":"glare/element.html#table"},{"doc":"glare/element","title":"tbody","content":"pub fn tbody(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.tbody\nglare/element tbody","url":"glare/element.html#tbody"},{"doc":"glare/element","title":"td","content":"pub fn td(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.td\nglare/element td","url":"glare/element.html#td"},{"doc":"glare/element","title":"template","content":"pub fn template(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.template\nglare/element template","url":"glare/element.html#template"},{"doc":"glare/element","title":"textarea","content":"pub fn textarea(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.textarea\nglare/element textarea","url":"glare/element.html#textarea"},{"doc":"glare/element","title":"tfoot","content":"pub fn tfoot(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.tfoot\nglare/element tfoot","url":"glare/element.html#tfoot"},{"doc":"glare/element","title":"th","content":"pub fn th(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.th\nglare/element th","url":"glare/element.html#th"},{"doc":"glare/element","title":"thead","content":"pub fn thead(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.thead\nglare/element thead","url":"glare/element.html#thead"},{"doc":"glare/element","title":"time","content":"pub fn time(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.time\nglare/element time","url":"glare/element.html#time"},{"doc":"glare/element","title":"title","content":"pub fn title(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.title\nglare/element title","url":"glare/element.html#title"},{"doc":"glare/element","title":"tr","content":"pub fn tr(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.tr\nglare/element tr","url":"glare/element.html#tr"},{"doc":"glare/element","title":"track","content":"pub fn track(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.track\nglare/element track","url":"glare/element.html#track"},{"doc":"glare/element","title":"u","content":"pub fn u(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.u\nglare/element u","url":"glare/element.html#u"},{"doc":"glare/element","title":"ul","content":"pub fn ul(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.ul\nglare/element ul","url":"glare/element.html#ul"},{"doc":"glare/element","title":"video","content":"pub fn video(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.video\nglare/element video","url":"glare/element.html#video"},{"doc":"glare/element","title":"wbr","content":"pub fn wbr(children: List(Node)) -&gt; Node\n\nSynonyms:\nglare/element.wbr\nglare/element wbr","url":"glare/element.html#wbr"},{"doc":"glare/element","title":"glare/element","content":"","url":"glare/element.html"},{"doc":"glare","title":"HtmlElement","content":"pub type HtmlElement\n\n\nSynonyms:\nglare.HtmlElement\nglare HtmlElement","url":"glare.html#HtmlElement"},{"doc":"glare","title":"create_render","content":"pub fn create_render(node: Node, elem: HtmlElement) -&gt; Nil\n Mount a node to a dom element\n\n     fn content() {\n       return h1([text(&quot;hello world&quot;)])\n     }\n     render(content(), bodyelement)\nSynonyms:\nglare.create_render\nglare create_render","url":"glare.html#create_render"},{"doc":"glare","title":"int","content":"pub fn int(v: Int) -&gt; Node\n Wraps `Int` into [`Node`](./glare/element.html#Node)\nSynonyms:\nglare.int\nglare int","url":"glare.html#int"},{"doc":"glare","title":"select","content":"pub fn select(selector: String) -&gt; HtmlElement\n Select a dom element\n used for mounting to, see [`render`](#render)\nSynonyms:\nglare.select\nglare select","url":"glare.html#select"},{"doc":"glare","title":"signal","content":"pub fn signal(v: fn() -&gt; a) -&gt; Node\n Wrap a signal getter into [`Node`](./glare/element.html#Node)\nSynonyms:\nglare.signal\nglare signal","url":"glare.html#signal"},{"doc":"glare","title":"text","content":"pub fn text(v: String) -&gt; Node\n Wraps `String` into [`Node`](./glare/element.html#Node)\nSynonyms:\nglare.text\nglare text","url":"glare.html#text"},{"doc":"glare","title":"glare","content":"","url":"glare.html"},{"doc":"glare/event","title":"on","content":"pub fn on(\n  node: Node,\n  event: String,\n  handler: fn() -&gt; Nil,\n) -&gt; Node\n\nSynonyms:\nglare/event.on\nglare/event on","url":"glare/event.html#on"},{"doc":"glare/event","title":"onclick","content":"pub fn onclick(node: Node, handler: fn() -&gt; Nil) -&gt; Node\n\nSynonyms:\nglare/event.onclick\nglare/event onclick","url":"glare/event.html#onclick"},{"doc":"glare/event","title":"glare/event","content":"","url":"glare/event.html"},{"doc":"glare/hooks","title":"create_signal","content":"pub fn create_signal(v: a) -&gt; #(fn() -&gt; a, fn(a) -&gt; Nil)\n Creates a signal from SolidJS to manage state\n \n     &gt; let #(count, set_count) = create_signal(0)\n     &gt; io.println(int.to_string(count()))\n     0\n     &gt; set_count(count() + 1)\n     &gt; io.println(int.to_string(count()))\n     1\n\nSynonyms:\nglare/hooks.create_signal\nglare/hooks create_signal","url":"glare/hooks.html#create_signal"},{"doc":"glare/hooks","title":"glare/hooks","content":"","url":"glare/hooks.html"},{"doc":"glare/property","title":"alt","content":"pub fn alt(node: Node, v: a) -&gt; Node\n\nSynonyms:\nglare/property.alt\nglare/property alt","url":"glare/property.html#alt"},{"doc":"glare/property","title":"attr","content":"pub fn attr(node: Node, k: String, v: String) -&gt; Node\n Add an attribute on a node\n \n     html([\n       p([text(&quot;שלום&quot;)])\n       |&gt; attr(&quot;dir&quot;, &quot;rtl&quot;)\n     ])\n     |&gt; attr(&quot;lang&quot;, &quot;he&quot;)\nSynonyms:\nglare/property.attr\nglare/property attr","url":"glare/property.html#attr"},{"doc":"glare/property","title":"background","content":"pub fn background(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.background\nglare/property background","url":"glare/property.html#background"},{"doc":"glare/property","title":"bg_color","content":"pub fn bg_color(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.bg_color\nglare/property bg_color","url":"glare/property.html#bg_color"},{"doc":"glare/property","title":"bg_img","content":"pub fn bg_img(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.bg_img\nglare/property bg_img","url":"glare/property.html#bg_img"},{"doc":"glare/property","title":"border","content":"pub fn border(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.border\nglare/property border","url":"glare/property.html#border"},{"doc":"glare/property","title":"border_color","content":"pub fn border_color(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.border_color\nglare/property border_color","url":"glare/property.html#border_color"},{"doc":"glare/property","title":"class","content":"pub fn class(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.class\nglare/property class","url":"glare/property.html#class"},{"doc":"glare/property","title":"color","content":"pub fn color(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.color\nglare/property color","url":"glare/property.html#color"},{"doc":"glare/property","title":"cursor","content":"pub fn cursor(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.cursor\nglare/property cursor","url":"glare/property.html#cursor"},{"doc":"glare/property","title":"display","content":"pub fn display(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.display\nglare/property display","url":"glare/property.html#display"},{"doc":"glare/property","title":"flex","content":"pub fn flex(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.flex\nglare/property flex","url":"glare/property.html#flex"},{"doc":"glare/property","title":"flex_basis","content":"pub fn flex_basis(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.flex_basis\nglare/property flex_basis","url":"glare/property.html#flex_basis"},{"doc":"glare/property","title":"flex_direction","content":"pub fn flex_direction(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.flex_direction\nglare/property flex_direction","url":"glare/property.html#flex_direction"},{"doc":"glare/property","title":"flex_grow","content":"pub fn flex_grow(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.flex_grow\nglare/property flex_grow","url":"glare/property.html#flex_grow"},{"doc":"glare/property","title":"flex_shrink","content":"pub fn flex_shrink(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.flex_shrink\nglare/property flex_shrink","url":"glare/property.html#flex_shrink"},{"doc":"glare/property","title":"flex_wrap","content":"pub fn flex_wrap(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.flex_wrap\nglare/property flex_wrap","url":"glare/property.html#flex_wrap"},{"doc":"glare/property","title":"font","content":"pub fn font(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.font\nglare/property font","url":"glare/property.html#font"},{"doc":"glare/property","title":"font_family","content":"pub fn font_family(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.font_family\nglare/property font_family","url":"glare/property.html#font_family"},{"doc":"glare/property","title":"gap","content":"pub fn gap(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.gap\nglare/property gap","url":"glare/property.html#gap"},{"doc":"glare/property","title":"grid","content":"pub fn grid(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.grid\nglare/property grid","url":"glare/property.html#grid"},{"doc":"glare/property","title":"grid_area","content":"pub fn grid_area(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.grid_area\nglare/property grid_area","url":"glare/property.html#grid_area"},{"doc":"glare/property","title":"height","content":"pub fn height(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.height\nglare/property height","url":"glare/property.html#height"},{"doc":"glare/property","title":"href","content":"pub fn href(node: Node, v: a) -&gt; Node\n\nSynonyms:\nglare/property.href\nglare/property href","url":"glare/property.html#href"},{"doc":"glare/property","title":"id","content":"pub fn id(node: Node, v: a) -&gt; Node\n\nSynonyms:\nglare/property.id\nglare/property id","url":"glare/property.html#id"},{"doc":"glare/property","title":"margin","content":"pub fn margin(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.margin\nglare/property margin","url":"glare/property.html#margin"},{"doc":"glare/property","title":"margin_bottom","content":"pub fn margin_bottom(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.margin_bottom\nglare/property margin_bottom","url":"glare/property.html#margin_bottom"},{"doc":"glare/property","title":"margin_left","content":"pub fn margin_left(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.margin_left\nglare/property margin_left","url":"glare/property.html#margin_left"},{"doc":"glare/property","title":"margin_right","content":"pub fn margin_right(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.margin_right\nglare/property margin_right","url":"glare/property.html#margin_right"},{"doc":"glare/property","title":"margin_top","content":"pub fn margin_top(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.margin_top\nglare/property margin_top","url":"glare/property.html#margin_top"},{"doc":"glare/property","title":"padding","content":"pub fn padding(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.padding\nglare/property padding","url":"glare/property.html#padding"},{"doc":"glare/property","title":"padding_bottom","content":"pub fn padding_bottom(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.padding_bottom\nglare/property padding_bottom","url":"glare/property.html#padding_bottom"},{"doc":"glare/property","title":"padding_left","content":"pub fn padding_left(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.padding_left\nglare/property padding_left","url":"glare/property.html#padding_left"},{"doc":"glare/property","title":"padding_right","content":"pub fn padding_right(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.padding_right\nglare/property padding_right","url":"glare/property.html#padding_right"},{"doc":"glare/property","title":"padding_top","content":"pub fn padding_top(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.padding_top\nglare/property padding_top","url":"glare/property.html#padding_top"},{"doc":"glare/property","title":"position","content":"pub fn position(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.position\nglare/property position","url":"glare/property.html#position"},{"doc":"glare/property","title":"radius","content":"pub fn radius(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.radius\nglare/property radius","url":"glare/property.html#radius"},{"doc":"glare/property","title":"rotate","content":"pub fn rotate(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.rotate\nglare/property rotate","url":"glare/property.html#rotate"},{"doc":"glare/property","title":"size","content":"pub fn size(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.size\nglare/property size","url":"glare/property.html#size"},{"doc":"glare/property","title":"src","content":"pub fn src(node: Node, v: a) -&gt; Node\n\nSynonyms:\nglare/property.src\nglare/property src","url":"glare/property.html#src"},{"doc":"glare/property","title":"style","content":"pub fn style(node: Node, k: String, v: String) -&gt; Node\n Add custom styling on a node\n\n     div([])\n     |&gt; style(&quot;border&quot;, &quot;1px solid black&quot;)\n     |&gt; style(&quot;borderRadius&quot;, &quot;50%&quot;)\n     |&gt; style(&quot;backgroundColor&quot;, &quot;#ffaff3&quot;)\nSynonyms:\nglare/property.style\nglare/property style","url":"glare/property.html#style"},{"doc":"glare/property","title":"target","content":"pub fn target(node: Node, v: a) -&gt; Node\n\nSynonyms:\nglare/property.target\nglare/property target","url":"glare/property.html#target"},{"doc":"glare/property","title":"text_align","content":"pub fn text_align(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.text_align\nglare/property text_align","url":"glare/property.html#text_align"},{"doc":"glare/property","title":"text_overflow","content":"pub fn text_overflow(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.text_overflow\nglare/property text_overflow","url":"glare/property.html#text_overflow"},{"doc":"glare/property","title":"text_shadow","content":"pub fn text_shadow(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.text_shadow\nglare/property text_shadow","url":"glare/property.html#text_shadow"},{"doc":"glare/property","title":"weight","content":"pub fn weight(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.weight\nglare/property weight","url":"glare/property.html#weight"},{"doc":"glare/property","title":"width","content":"pub fn width(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.width\nglare/property width","url":"glare/property.html#width"},{"doc":"glare/property","title":"z_index","content":"pub fn z_index(node: Node, v: String) -&gt; Node\n\nSynonyms:\nglare/property.z_index\nglare/property z_index","url":"glare/property.html#z_index"},{"doc":"glare/property","title":"glare/property","content":" Property functions are used to add properties to an element such as styling or classes.\n Standard usage unless specified is as follows\n\n    h2([text(&quot;hello world&quot;)])\n    |&gt; font(&quot;Lexend&quot;)\n    |&gt; PROPERTY_FUNCTION(&quot;STRINGED VALUE&quot;)","url":"glare/property.html"}]);